# WorldGuardListener (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.listeners

## Class WorldGuardListener

- java.lang.Object
- - de.epiceric.shopchest.listeners.WorldGuardListener

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class WorldGuardListener
    extends Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`WorldGuardListener(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDamageEntity(com.sk89q.worldguard.bukkit.event.entity.DamageEntityEvent event)`
`void` `onUseBlock(com.sk89q.worldguard.bukkit.event.block.UseBlockEvent event)`
`void` `onUseEntity(com.sk89q.worldguard.bukkit.event.entity.UseEntityEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorldGuardListener

    public WorldGuardListener(ShopChest plugin)

### Method Detail

#### onUseEntity

    public void onUseEntity(com.sk89q.worldguard.bukkit.event.entity.UseEntityEvent event)

#### onDamageEntity

    public void onDamageEntity(com.sk89q.worldguard.bukkit.event.entity.DamageEntityEvent event)

#### onUseBlock

    public void onUseBlock(com.sk89q.worldguard.bukkit.event.block.UseBlockEvent event)